# Kytchen 

This is a simple Python utility for handling recipes and meal plans. These are the capabilities of the package in terms of recipes:

- Design recipes modularly, referencing other recipes and a common collection of ingredients that you can keep in a CSV file.
- Keep track of the caloric content of every recipe with the information that you provide on the energetic content of the ingredients that you use.
- Scale your recipes for different serving sizes.
- Help you estimate cooking times.
- Design your recipes interactively in Python and save them as JSON files for future use.

In terms of meal plans, this is what Kytchen can achieve:

- Help you efficiently organise and plan your cooking.
- Keep track of your average daily caloric intake.
- Generate a shopping list for every meal plan.

## Installation

This package is on PyPi as `kytchen`, so you can install it with `pip3 install kytchen`.

## How to use

There is an in-depth tutorial in the `doc/` directory of the project's repository. You can also use Python's `help` function.

## What's next?

This is still an alpha version — there's plenty of things yet to be done! Among them, I am planning to support exporting recipes to several formats (PDF, LaTeX, HTML, etc.), but I have yet to decide what the best way of doing that is. Keep in mind that I only work on this project every now and then, so the development process is likely going to be *very* slow.

Nevertheless, I do use this package to handle my own recipes, so I should be quick to fix any bugs!

If you find any bugs yourself or you have any suggestions on how to improve Kytchen, please, [get in touch](https://sgc.ink/about)!
